<?php
class Frk_Util_Number {

  public static function getWithZero($number){
    if($number < 10){
      return "0".$number;
    }

    return $number;
  }

  /**
   * Converte o valor para a formatacao especifica
   * @param Number $value
   * @param String $type
   */
  public static function currency($value = '', $type = 'mysql'){
    if($type === "mysql"){
      // remove os pontos
      $value = str_replace(".", "", $value);

      // troca a virgula
      $value = str_replace(",", ".", $value);

      // transforma em float
      $value = floatval($value);
    }
    if($type === "br"){
      // formata padrao br
      $value = number_format($value, 2, ",", ".");
    }

    return $value;
  }

  /**
   * Retorna o valor formatado e com o cifrão
   * @param Number $value
   * @return String
   */
  public static function preco($value){
    return "R$ ".number_format($value, 2, ",", ".");
  }


}